Subject: Re: bug#12647: 24.2.50; emacs --daemon broken in tty

From: Daniel Colascione <[email-masked]>
Date: Fri, 19 Oct 2012 20:45:48 -0700

On 10/18/2012 5:23 PM, Daniel Colascione wrote:
> On 10/18/2012 4:56 PM, Ulrich Mueller wrote:
>> [Sorry for the duplicate #12678, I had noticed too late that this bug
>> was already open for the issue.]
>>
>>>> We agreed above that we can't afford the right fix for the
>>>> feature freeze.
>>
>>> I assume you agree that some interim fix is necessary then?
>>
>> Maybe r110444 could be reverted, until things are properly sorted out?
> 
> For the sake of one easy-to-fix-temporarily bug? I don't think that's the right
> option.
> 
> The right fix for the feature freeze is to just set x-display-name the way we
> did before. We'll be no worse off than we were in the last version.
> 

I've installed a tweaked version of Glenn's patch. It appears to resolve the
problem.